<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.02 
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@hccnet.nl)
* Newsletter module: 
* newsletter.php: last changed 11/08/2007 by Fred Stuurman (fc.stuurman@hccnet.nl)
* $Id$
* Multiple file upload applet postlet used is from http://sourceforge.net/projects/postlet/
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$modoption = "list";	//default choice for switch

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 25, 'A');
}
//used when code is submitted via link
if (IsSet ($_GET['code']))
{
	$code = sanitize($_GET['code'], 12, 'A');
}
if (IsSet ($_GET['newsletter_id']))
{
	$newsletter_id = sanitize($_GET['newsletter_id'], 5 , 'I');
}
if (IsSet ($_POST['fullname']))
{
	$fullname = sanitize($_POST['fullname'], 60 , 'S'); //sanitize the input
}
if (IsSet ($_POST['surename']))
{
	$surename = sanitize($_POST['surename'], 40 , 'S'); //sanitize the input
}
if (IsSet ($_POST['remark']))
{
	$remark = sanitize($_POST['remark'], 60 , 'S'); //sanitize the input
}
if (IsSet ($_POST['user_email']))
{
	$user_email = sanitize($_POST['user_email'], 80, 'S');
}
//used when the code is filled in maually via form.
if (IsSet ($_POST['code']))
{
	$code = sanitize($_POST['code'], 12, 'A');
}

if (IsSet ($_POST['contribute_text']))
{
	$contribute_text = sanitize($_POST['contribute_text'], 1000 , 'S'); //sanitize the input
}

function check_email($str)
{
	//returns 1 if valid email, 0 if not
	if (ereg("^.+@.+\\..+$", $str))
		return 1;
	else
		return 0;
}

function testipaddress($nametotest)
{
	$ipaddress = $nametotest;
	$ipaddress = gethostbyname($nametotest);
	if ($ipaddress == $nametotest)
	{
		return 0;
	}
	else
	{
		return 1;
	}
}

load_language($cmsdir . '/', 'sn_newsletter'); //load language file

//set the newsletter table names
$table_newsletter_content = $dbprefix . "m_newsletters";
$table_newsletters = $dbprefix . "m_newsletter_cat";
$table_email_adresses = $dbprefix . "m_newsletter_emails";

//get newsletter information
if ($_SESSION['site'] == "protected")
{
	$query = "SELECT email, sender_email, title, register_text, extra_info, contribute_text FROM $table_newsletters WHERE name = '".$pagetitle."' AND public = 1 LIMIT 1"; 
}
else
{
	$query = "SELECT email, sender_email, title, register_text, extra_info, contribute_text FROM $table_newsletters WHERE name = '".$pagetitle."' AND public = 0 LIMIT 1"; 
}

$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
$RecordCount = mysql_num_rows($result);
if ($RecordCount > 0)
{
	$email_owner = mysql_result($result, 0, 0);
	//used for sending emails
	$sender_email = mysql_result($result, 0, 1);
	$title = mysql_result($result, 0, 2);
	$welcome_text = mysql_result($result, 0, 3);
	$extra_info = mysql_result($result, 0, 4);
	$contribute_welcome = mysql_result($result, 0, 5);

$newsletter_name = $pagetitle ;

if($sender_email == "")
{
	$sender_email = $email_owner ;	//if sender_email is blank use the owner email address
}

	switch ($modoption) // start of switch
	{
		case "delete_form" :
		
			print "<span class=\"sas_module_title\">" . $title . "</span><br/><br/>
					<span class=\"sas_module_subtitle\">" . $sas_lang['newsletter_module_unsubscribe'] . " " . $sas_lang['newsletter_module_newsletter'] . "</span><br/><br/>" . $sas_lang['newsletter_module_confirm_form'];
			print "\n<form method=\"post\" name=\"form\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=confirm_delete&amp;newsletter_id=$newsletter_id\">
				 <table border=\"0\" cellpadding=\"5\">";
			print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['newsletter_module_confirmation_code'] . ": </span></td>
				 <td><input type=\"text\" name=\"code\" size=\"15\" class=\"sas_module_input\"/></td></tr>";
			print "</table>";
			print "<br/><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onclick=\"javascript:history.go(-1)\"/>";
			print "&nbsp;<input type=\"submit\" value=\"$sas_lang[send]\" name=\"savebutton\"/>";
			print "</form>";
			
			break;
	
		case "confirm_form" :
		
			print "<span class=\"sas_module_title\">" . $title . "</span><br/><br/>
					<span class=\"sas_module_subtitle\">" . $sas_lang['newsletter_module_subscribe'] . " " . $sas_lang['newsletter_module_newsletter'] . "</span><br/><br/>" . $sas_lang['newsletter_module_confirm_form'];
			print "<form method=\"post\" name=\"form\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=confirm_registration&amp;newsletter_id=$newsletter_id\">
				 <table border=\"0\" cellpadding=\"5\">";
			print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['newsletter_confirmation_code'] . ": </span></td>
				 <td><input type=\"text\" name=\"code\" size=\"15\" class=\"sas_module_input\"/></td></tr>";
			print "</table>";
			print "<br/><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onclick=\"javascript:history.go(-1)\"/>";
			print "&nbsp;<input type=\"submit\" value=\"$sas_lang[send]\" name=\"savebutton\"/>";
			print "</form>";
			
			break;
	
		case "confirm_registration" :
		
			// get the email for the confirmation
			$query = "SELECT email, newsletter_id, enable, name, surename, remarks FROM $table_email_adresses WHERE code = '".$code."'"; 
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
			$RecordCount = mysql_num_rows($result);
			if ($RecordCount > 0)
			{ //code is found
				$user_email = mysql_result($result, 0, 0);
				$newsletter_id = mysql_result($result, 0, 1);
				$enable = mysql_result($result, 0, 2);
				$user_name = mysql_result($result, 0, 3);
				$user_surename = mysql_result($result, 0, 4);
				$user_remark = mysql_result($result, 0, 5);
				unset ($query);
				unset ($result);
				
				$query = "SELECT name, confirm, email FROM $table_newsletters WHERE id = '".$newsletter_id."'"; // get the newsletter name
				$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
				$newsletter_name = mysql_result($result, 0, 0);
				$confirm = mysql_result($result, 0, 1);
				$email_owner = mysql_result($result, 0, 2);
				unset ($query);
				unset ($result);
				
				if ($enable == 0)
				{
					mysql_query("UPDATE $table_email_adresses SET enable='1' WHERE code = '".$code."'");
				}
				if ($confirm == 0) //admin doesn't have to confirm subscription
				{ //set code to 2.
					mysql_query("UPDATE $table_email_adresses SET enable='2' WHERE code = '".$code."'");
				}
				if ($email_owner != "")
				{
					$msg = str_replace("%user_name%", $user_name, $sas_lang['newsletter_module_subscribe_msg3']);
					$msg = str_replace("%newsletter_name%", $pagetitle, $msg);
					$msg = str_replace("%user_surename%", $user_surename, $msg);
					$msg = str_replace("%user_email%", $user_email, $msg);
					$msg = str_replace("%user_remark%", $user_remark, $msg);
					require ($cmsdir."/core/class.phpmailer.php"); //use the phpmailer class
					include ($cmsdir."/modules/sn_newsletter/mail_function2.php"); //call the mail function
					$mail_list[0] = $email_owner;	//send mail to the newsletter owner
					$mail_list[1] = $user_email; //send mail to the subscriber
					newsletter_mail($mail_list, $msg, $sender_email, $sas_lang['newsletter_module_email_subject2'] . $sitename);
				}
				$sas_lang['newsletter_module_subscribe_msg2'] = str_replace("%user_email%", $user_email, $sas_lang['newsletter_module_subscribe_msg2']);
				print "<br/>" . $msg;
			}
			else
			{ //invalid code given
				print "<span class=\"sas_module_error\">" . $sas_lang['newsletter_module_bad_code_msg'] . "</span>";
			}
			print "<br/><br/><form action=\"\"><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onclick=\"parent.location='index.php?section=$section&amp;page=$page'\"/> 
					 </form>";
			
			break;
	
		case "confirm_delete" : // delete the email address from the table
		
			$newsletter_id_old = $newsletter_id; // assign old id          
			$query = "SELECT email, newsletter_id, name, surename, remarks FROM $table_email_adresses WHERE code = '".$code."'"; // get the email for the delete
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
			$RecordCount = mysql_num_rows($result);
			if ($RecordCount > 0)
			{
				$user_email = mysql_result($result, 0, 0);
				$newsletter_id = mysql_result($result, 0, 1);
				$user_name = mysql_result($result, 0, 2);
				$user_surename = mysql_result($result, 0, 3);
				$user_remark = mysql_result($result, 0, 4);
				unset ($query);
				unset ($result); // delete the email address from the table
	
				if ($newsletter_id_old == $newsletter_id)
				{
					mysql_query("DELETE FROM $table_email_adresses WHERE code = '".$code."'");
				}
				else
				{
					$newsletter_id = explode(",", $newsletter_id);
					$result = -1;
					$result = array_search($newsletter_id_old, $newsletter_id); //does id exists
					unset ($newsletter_id[$result]); //delete this entry
					$newsletter_id_new = implode(",", $newsletter_id); //create comma delimited string
					mysql_query("UPDATE $table_email_adresses SET newsletter_id='$newsletter_id_new' WHERE email = '".$user_email."'");
				}
				$sas_lang['newsletter_module_unsubscribe_msg2'] = str_replace("%user_email%", $user_email, $sas_lang['newsletter_module_unsubscribe_msg2']);
				$sas_lang['newsletter_module_unsubscribe_msg2'] = str_replace("%newsletter_name%", $pagetitle, $sas_lang['newsletter_module_unsubscribe_msg2']);
	
				if ($email_owner != "")
				{
					$msg = str_replace("%user_name%", $user_name, $sas_lang['newsletter_module_unsubscribe_msg3']);
					$msg = str_replace("%newsletter_name%", $pagetitle, $msg);
					$msg = str_replace("%user_surename%", $user_surename, $msg);
					$msg = str_replace("%user_email%", $user_email, $msg);
					$msg = str_replace("%user_remark%", $user_remark, $msg);
					require ($cmsdir."/core/class.phpmailer.php"); //use the phpmailer class
					include ($cmsdir."/modules/sn_newsletter/mail_function2.php"); //call the mail function
					$mail_list[0] = $email_owner;
					$mail_list[1] = $user_email;
					newsletter_mail($mail_list, $msg, $sender_email, $sas_lang['newsletter_module_email_subject1'] . $sitename);
				}
	
				print "<br/><span class=\"sas_module_subtitle\">" . $sas_lang['newsletter_module_unsubscribe_msg2'] . "</span>\n";
			}
			else
			{ //invalid code
				print "<span class=\"sas_module_error\">" . $sas_lang['newsletter_module_bad_code_msg'] ."</span>\n";
			}
			print "<br/><br/><form action=\"\"><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onclick=\"parent.location='index.php?section=$section&amp;page=$page';\"/> 
					 </form>\n";
			
			break;
	
		case "send_registration" :
		
			$error = true;
			if ($fullname == "")
			{
				$msg = $sas_lang['newsletter_module_no_name'];
			}
			elseif ($user_email == "")
			{
				$msg = $sas_lang['newsletter_module_no_email'];
			}
			elseif (check_email($user_email) == 0)
			{
				$msg = str_replace("%user_email%", $user_email, $sas_lang['newsletter_module_novalid_email']);
			}
			else
			{
				$query = "SELECT newsletter_id FROM $table_email_adresses WHERE email = '".$user_email."'"; // check email address
				$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
				$RecordCount = mysql_num_rows($result);
				if ($RecordCount == 0)
				{
					$date1 = date('Y-m-d');
					$code = random_code(12); //get random delete code
					mysql_query("INSERT INTO $table_email_adresses (id, surename, name, email, remarks, newsletter_id, enable, date , code)
						VALUES (NULL, '$surename','$fullname', '$user_email', '$remark', '$newsletter_id', '0', '$date1', '$code')");
					$link = "<a href=".$site_url."index.php?section=$section&amp;page=$page&amp;newsletter_id=$newsletter_id&amp;modoption=confirm_registration&amp;code=$code>" . $sas_lang['newsletter_module_click_here'] . "</a>";
					$link2 = "<b>".$site_url."index.php?section=$section&amp;page=$page&amp;newsletter_id=$newsletter_id&amp;modoption=confirm_form</b><br/>";
					$sas_lang['newsletter_module_subscribe_msg'] = str_replace("%user_email%", $user_email, $sas_lang['newsletter_module_subscribe_msg']);
					$msg = str_replace("%newsletter_name%", $pagetitle, $sas_lang['newsletter_module_confirm_msg2']);
					$msg = str_replace("%user_email%", $user_email, $msg) . $link . "<br/><br/>";
					$msg .= str_replace("%link%", $link2, $sas_lang['newsletter_module_confirm_msg1']); //add the second part of the message.
					$msg = str_replace("%code%", $code, $msg);
					$msg2 = $sas_lang['newsletter_module_subscribe_msg'];
					require ($cmsdir."/core/class.phpmailer.php"); //use the phpmailer class
					include ($cmsdir."/modules/sn_newsletter/mail_function2.php"); //call the mail function
					$mail_list[0] = $user_email;
	
					newsletter_mail($mail_list, $msg, $sender_email, $sas_lang['newsletter_module_email_subject2'] . $sitename);
				}
				else
				{ //email already exists
					$newsletter_id_old = mysql_result($result, 0); //get existing ids
					unset ($query);
					unset ($result);
					$newsletter_id_old = explode(",", $newsletter_id_old);
	
					if (in_array($newsletter_id, $newsletter_id_old)) //do we have the newsletter id already?
					{
						print $sas_lang['newsletter_module_subscriber_exists'];
					}
					else
					{
						array_push($newsletter_id_old, $newsletter_id); //if not add it
						sort($newsletter_id_old);
						$newsletter_id_new = implode(",", $newsletter_id_old); //create comma delimited string 
						mysql_query("UPDATE $table_email_adresses SET newsletter_id='$newsletter_id_new' WHERE email = '$user_email'");
						$msg2 = $sas_lang['newsletter_module_subscription_thank_you'];
					}
				}
				$error = FALSE;
			}
			if ($error)
			{
				print "<br/><br/><span class=\"sas_module_error\">" . $msg . "</span>\n";
				print "<br/><br/><input type=\"button\" value=\"" . $sas_lang['newsletter_module_back_to_form'] . "\" name=\"backbutton\" onclick=\"javascript:history.go(-1)\"/>\n";
			}
			else
			{
				print "<br/><br/><span class=\"sas_module_subtitle\">" . $msg2 . "</span><br/>";
				print "<br/><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onclick=\"parent.location='index.php?section=$section&amp;page=$page'\">\n";
			}
			break;
	
		case "send_decline" :
		
			$error = true;
			if ($user_email == "")
			{
				$msg = $sas_lang['newsletter_module_no_email'];
			}
			else
			{
				$query = "SELECT newsletter_id FROM $table_email_adresses 
						WHERE email = '$user_email' AND newsletter_id AND (newsletter_id = '$newsletter_id' OR newsletter_id LIKE '$newsletter_id,%' OR newsletter_id LIKE '%,$newsletter_id' OR newsletter_id LIKE '%,$newsletter_id,%')"; // check email address
						
				$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
				$RecordCount = mysql_num_rows($result);
				if ($RecordCount == 0)
				{
					$msg = $sas_lang['newsletter_module_no_email_intable'];
					//break;
				}
				else
				{
					$query1 = "SELECT id FROM $table_newsletters WHERE name = '".$pagetitle."'"; // get newsletter id for this pagename
					$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br/>Query : "' . $query1 . '".',E_USER_WARNING);
					$newsletter_id = mysql_result($result1, 0, 0);
					$code = random_code(12); //get random delete code
					mysql_query("UPDATE $table_email_adresses SET code='$code' WHERE email = '$user_email' "); //put code in table
					$link = "<a href=".$site_url."index.php?section=$section&amp;page=$page&amp;newsletter_id=$newsletter_id&amp;modoption=confirm_delete&amp;code=$code>" . $sas_lang['newsletter_module_click_here'] . "</a>";
					$link2 = "<b>".$site_url."index.php?section=$section&amp;page=$page&amp;newsletter_id=$newsletter_id&amp;modoption=delete_form</b><br/>";
					$msg = str_replace("%user_email%", $user_email, $sas_lang['newsletter_module_confirm_msg']) . $link . "<br/><br/>";
					$msg .= str_replace("%link%", $link2, $sas_lang['newsletter_module_confirm_msg1']); //add the second part of the message.
					$msg = str_replace("%code%", $code, $msg);
					require ($cmsdir."/core/class.phpmailer.php"); //use the phpmailer class
					$msg = str_replace("%newsletter_name%", $pagetitle, $msg); //replace newsletter name
					include ($cmsdir."/modules/sn_newsletter/mail_function2.php"); //call the mail function
					$mail_list[0] = $user_email;
					newsletter_mail($mail_list, $msg, $sender_email, $sas_lang['newsletter_module_email_subject1'] . $sitename);
					//mail("$user_email", $sas_lang['newsletter_module_email_subject1'].$sitename, "$msg" , "$headers") ;
					$error = false;
				}
			}
			if ($error)
			{
				print "<br/><br/><span class=\"sas_module_error\">$msg</span>\n";
				print "<br/><br/><input type=\"button\" value=\"" . $sas_lang['newsletter_module_back_to_form'] . "\" name=\"backbutton\" onclick=\"javascript:history.go(-1)\" />\n";
			}
			else
			{
				$sas_lang['newsletter_module_unsubscribe_msg'] = str_replace("%user_email%", $user_email, $sas_lang['newsletter_module_unsubscribe_msg']);
				print "<br/><br/><span class=\"sas_module_subtitle\">" . $sas_lang['newsletter_module_unsubscribe_msg'] . "</span><br/>\n";
			}
			print "<br/><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onclick=\"parent.location='index.php?section=$section&amp;page=$page'\"/>\n";
	
			break;
	
		case "send_contribution" :
		
			$error = true;
			if ($contribute_text == "")
			{
				$msg = $sas_lang['newsletter_module_no_text'];
			}
			elseif ($user_email == "")
			{
				$msg = $sas_lang['newsletter_module_no_email'];
			}
			else
			{
				$query = "SELECT newsletter_id, surename, name FROM $table_email_adresses 
							WHERE email = '$user_email' AND enable = 2 AND (newsletter_id = '$newsletter_id' OR newsletter_id LIKE '$newsletter_id,%' OR newsletter_id LIKE '%,$newsletter_id' OR newsletter_id LIKE '%,$newsletter_id,%')"; // check email address
				$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING);
				$RecordCount = mysql_num_rows($result);
				if ($RecordCount == 0)
				{
					$msg = $sas_lang['newsletter_module_no_email_intable'];
					//break;
				}
				else
				{
					$surname = mysql_result($result, 0, 1);
					$name = mysql_result($result, 0, 2); //email exists
					$query1 = "SELECT email, contribute_thanks, name, sender_email FROM $table_newsletters WHERE name='$pagetitle'"; // get email for newsletter
					$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br/>Query : "' . $query1 . '".',E_USER_WARNING);
					$email = mysql_result($result1, 0, 0);
					$contribute_thankyou = mysql_result($result1, 0, 1);
					$newsletter_name = mysql_result($result1, 0, 2);
					$sender_email =  mysql_result($result1, 0, 3);
					$message = $sas_lang['newsletter_module_contribution_msg'] . $surname . " " . $name . " : " . $user_email . ":<br/><br/>";
					$message .= stripslashes($contribute_text);
					$query = "SELECT id, content FROM $table_newsletter_content WHERE published = 0 AND archive = 0 AND newsletter_id = $newsletter_id ORDER BY date DESC"; // get the newsletter name
					$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING);
					$RecordCount = mysql_num_rows($result);
					$date2 = strftime($sas_config['dateformat']." - %H:%m:%S");
					$sas_lang['newsletter_module_contribution_sep'] = str_replace("%user_email%", $surname . " " . $name . " : " . $user_email, $sas_lang['newsletter_module_contribution_sep']);
					$contribution_date = "### ". $sas_lang['date'] . " : ". $date2 . " ###";
					
					if ($RecordCount > 0) //we have an unpublished newsletter
					{
						$id = mysql_result($result, 0, 0);
						$content_old = mysql_result($result, 0, 1);
						$content_new = $content_old . $contribution_date . $sas_lang['newsletter_module_contribution_sep'] . $contribute_text . $sas_lang['newsletter_module_contribution_sep'];
						mysql_query("UPDATE $table_newsletter_content SET content='$content_new' WHERE id='$id'"); //update the content
	
					}
					else //we have to create one.
					{
						$query = "SELECT header, footer, title FROM $table_newsletter_content WHERE newsletter_id='$newsletter_id' ORDER BY date DESC";
						$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING); //get header and footer from previous one
						$RecordCount = mysql_num_rows($result);
						if ($RecordCount > 0)
						{
							$header = mysql_result($result, 0, 0);
							$footer = mysql_result($result, 0, 1);
							$title = mysql_result($result, 0, 2);
						}
						$content_new = addslashes($sas_lang['newsletter_module_contribution_sep'] . $contribute_text . $sas_lang['newsletter_module_contribution_sep']);
						$date1 = date('Y-m-d');
						mysql_query("INSERT INTO $table_newsletter_content (id, title, archive, content, published, newsletter_id, date, header, footer)
								VALUES (NULL, '$title', '0', '$content_new' , '0' ,'$newsletter_id', '$date1', '$header', '$footer')");
					}
	
					if ($email != "")
					{
						require ("$cmsdir/core/class.phpmailer.php"); //use the phpmailer class
						include ("$cmsdir/modules/sn_newsletter/mail_function2.php"); //call the mail function
						$mail_list[0] = $email;
						//add date at bottum of email.
						$message .= "<br/><br/><hr>".$sas_lang['date']. " : " . $date2 ."</hr>";
						newsletter_mail($mail_list, $message, $sender_email, $sas_lang['newsletter_module_contribute'] . ": ".$newsletter_name);
						
					}
					$error = False;
				}
			}
			if ($error)
			{
				print "<br/><span class=\"sas_module_error\">" . $msg . "</span>\n
						<form method=\"post\" action=\"index.php?section=$section&amp;page=$page&amp;option=contribute&amp;newsletter_id=1\">\n
						<input type =\"hidden\" value=\"$contribute_text\" name=\"contribute_text\"/>\n
						<input type =\"hidden\" value=\"$user_email\" name=\"user_email\"/>\n";
						
				print "<br/><br/><input type=\"submit\" value=\"" . $sas_lang['newsletter_module_back_to_form'] . "\"/></form>\n";
			}
			else
			{
				print "<br/><br/><span class=\"sas_module_subtitle\">" . $contribute_thankyou . "</span><br/>\n";
				print "<br/><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onclick=\"parent.location='index.php?section=$section&amp;page=$page'\"/>\n";
	
			}
			
			break;
	
		case "register" :
		
			print "<span class=\"sas_module_title\">". $title . "</span><br/><br/><span class=\"sas_module_subtitle\">$welcome_text</span><br/><br/>\n";
			print "<form method=\"post\" name=\"form\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=send_registration&amp;newsletter_id=$newsletter_id\">\n
				 <table border=\"0\" cellpadding=\"5\">\n";
			print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['newsletter_module_surename'] . ": </span></td>\n
				 <td><input type=\"text\" name=\"surename\" size=\"40\" class=\"sas_module_input\"/></td></tr>\n";
			print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['newsletter_module_name'] . ": (*)</span></td>\n
				 <td><input type=\"text\" name=\"fullname\" size=\"40\" class=\"sas_module_input\"/></td></tr>\n";
			print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['newsletter_module_email'] . ": (*)</span></td>\n
				 <td><input type=\"text\" name=\"user_email\" size=\"40\" class=\"sas_module_input\"/></td></tr>\n";
			print "<tr><td><span class=\"sas_module_lbl1\">$extra_info :</span></td>\n
				 <td><input type=\"text\" name=\"remark\" size=\"40\" class=\"sas_module_input\"/></td></tr>\n";
			print "<tr><td>&nbsp;</td><td><span class=\"sas_module_lbl2\">" . $sas_lang['newsletter_module_required_fields'] . "</span></td></tr>\n";
			print "</table>\n";
			print "<br/><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onclick=\"javascript:history.go(-1)\"/>\n";
			print "&nbsp;<input type=\"submit\" value=\"$sas_lang[send]\" name=\"savebutton\"/>\n";
			print "</form>\n";
			
			break;
	
		case "decline" :
			
			$query1 = "SELECT decline_text FROM $table_newsletters WHERE name = '".$pagetitle."'"; // do we have a newsletter with this pagename
			$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br/>Query : "' . $query1 . '".',E_USER_WARNING);
			$decline_text = mysql_result($result1, 0, 0);
			print "<span class=\"sas_module_title\">". $title . "</span><br/><br/><span class=\"sas_module_subtitle\">$decline_text</span><br/><br/>\n";
			print "\n<form method=\"post\" name=\"form\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=send_decline&amp;newsletter_id=$newsletter_id\">
				 <table border=\"0\" cellpadding=\"5\">\n";
			print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['newsletter_module_email'] . ": (*)</span></td>\n
				 <td><input type=\"text\" name=\"user_email\" size=\"40\" class=\"sas_module_input\"/></td></tr>\n";
			print "<tr><td>&nbsp;</td><td><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</span></td></tr>\n";
			print "</table>\n";
			print "\n<br/><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onclick=\"javascript:history.go(-1)\"/>\n";
			print "&nbsp;<input type=\"submit\" value=\"$sas_lang[send]\" name=\"savebutton\"/>\n";
			print "</form>\n";
			
			break;
	
		case "contribute" :
		
			print "<span class=\"sas_module_title\">". $title . "</span><br/><br/><span class=\"sas_module_subtitle\">$contribute_welcome</span><br/><br/>\n";
			print "\n<form method=\"post\" name=\"form\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=send_contribution&amp;newsletter_id=$newsletter_id\">
				 <table border=\"0\" cellpadding=\"5\">\n";
			print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['newsletter_module_email'] . ": (*)</span></td>\n
				 <td><input type=\"text\" name=\"user_email\" size=\"40\" value=\"$user_email\" class=\"sas_module_input\"/></td></tr>\n";
			print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['text'] . ": (*)</span></td>\n
				 <td><textarea name=\"contribute_text\" rows=\"20\" cols=\"55\" class=\"sas_module_input\">$contribute_text</textarea></td></tr>\n";
			print "<tr><td>&nbsp;</td><td><span class=\"sas_module_lbl2\">" . $sas_lang['newsletter_module_required_fields'] . "</span></td></tr>\n";
			print "</table>\n";
			print "\n<br/><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onclick=\"javascript:history.go(-1)\"/>\n";
			print "&nbsp;<input type=\"submit\" value=\"$sas_lang[send]\" name=\"savebutton\"/>\n";
			print "</form>\n";
			
			break;
	
		case "view" :
		
			$query = "SELECT header, content, footer, title FROM $table_newsletter_content WHERE id = '".$newsletter_id."'"; // getting the newsletter content
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
			$RecordCount = mysql_num_rows($result);
			if ($RecordCount == 1)
			{
				$header = mysql_result($result, 0, 0);
				$content = mysql_result($result, 0, 1);
				$footer = mysql_result($result, 0, 2);
				$newsletter_title = mysql_result($result, 0, 3);
				unset ($query);
				unset ($result);
				//show the content of newsletter
				print $header . $content . $footer;
				print "\n<br/><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" 
						onclick=\"javascript:history.go(-1)\"/>"; 
			}
			break;
	
		case "list" :
	
			$query1 = "SELECT id, title, contribute FROM $table_newsletters WHERE name = '".$pagetitle."'"; // do we have a newsletter with this pagename
			$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br/>Query : "' . $query1 . '".',E_USER_WARNING);
			$RecordCount = mysql_num_rows($result1);
			if ($RecordCount == 1)
			{
				$category_id = mysql_result($result1, 0, 0);
				$title = mysql_result($result1, 0, 1);
				$contribute = mysql_result($result1, 0, 2);
				unset ($query1);
				unset ($result1);
				print "<span class=\"sas_module_title\">". $title ."</span> <br/><br/>\n";
				
				$query3 = "SELECT id, title FROM $table_newsletter_content WHERE newsletter_id = '".$category_id."' AND archive='0' AND published='1' ORDER BY date DESC";
				$result3 = mysql_query($query3) or trigger_error(mysql_error().'"<br/>Query : "' . $query3 . '".',E_USER_WARNING);
				print "<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" width=\"100%\">\n";
				print "<tr><td align=\"right\">\n
					<input type=\"button\" value=\"" . $sas_lang['newsletter_module_subscribe'] . "\" onclick=\"javascript:parent.location='index.php?section=$section&amp;page=$page&amp;modoption=register&amp;newsletter_id=$category_id'\"/>\n
					&nbsp;&nbsp;<input type=\"button\" value=\"" . $sas_lang['newsletter_module_unsubscribe'] . "\" onclick=\"javascript:parent.location='index.php?section=$section&amp;page=$page&amp;modoption=decline&amp;newsletter_id=$category_id'\"/>\n";
				
				if ($contribute == 1)
				{
					print "&nbsp;&nbsp;<input type=\"button\" value=\"" . $sas_lang['newsletter_module_contribute'] . "\" onclick=\"javascript:parent.location='index.php?section=$section&amp;page=$page&amp;modoption=contribute&amp;newsletter_id=$category_id'\"/>\n";
				}
				print "&nbsp;&nbsp;<input type=\"button\" value=\"" . $sas_lang['newsletter_module_archive'] . "\" onclick=\"javascript:parent.location='index.php?section=$section&amp;page=$page&amp;modoption=archive&amp;newsletter_id=$category_id'\"/>\n";
				print "</td></tr>";
				
				while ($newsletter_list = mysql_fetch_array($result3))
				{
					print "<tr>\n
						   <td><a href=\"index.php?section=$section&amp;page=$page&amp;modoption=view&amp;newsletter_id=$newsletter_list[0]\" class=\"sas_module_link\">$newsletter_list[1]</a></td>\n
						   </tr>\n";
				}
				print "</table><br/><br/>";
			}
			else
			{
				print "<span class=\"sas_module_error\">" . $sas_lang['newsletter_module_page_error'] . "</span>\n";
			}
			
			break;
	
		case "archive" :
		
			$query1 = "SELECT id, title, contribute FROM $table_newsletters WHERE name = '".$pagetitle."'"; // do we have a newsletter with this pagename
			$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br/>Query : "' . $query1 . '".',E_USER_WARNING);
			$RecordCount = mysql_num_rows($result1);
			if ($RecordCount == 1)
			{
				$category_id = mysql_result($result1, 0, 0);
				$title = mysql_result($result1, 0, 1);
				$contribute = mysql_result($result1, 0, 2);
				unset ($query1);
				unset ($result1);
				print "<span class=\"sas_module_title\">" . $sas_lang['newsletter_module_archive'] . ":</span><br/><br/><span class=\"sas_module_subtitle\">". $title . "</span><br/>\n";
				$query3 = "SELECT id, title FROM $table_newsletter_content WHERE newsletter_id = '".$category_id."' AND archive='1' AND published='1' ORDER BY date DESC";
				$result3 = mysql_query($query3) or trigger_error(mysql_error().'"<br/>Query : "' . $query3 . '".',E_USER_WARNING);
				print "<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" width=\"100%\">\n";
				print "<tr><td align=\"right\">\n";
				print "<input type=\"button\" value=\"" . $sas_lang['newsletter_module_newsletters'] . "\" onclick=\"javascript:parent.location='index.php?section=$section&amp;page=$page&amp;newsletter_id=$category_id'\"/>\n";
				print "</td></tr>";
				while ($newsletter_list = mysql_fetch_array($result3))
				{
					print "<tr>\n
						   <td><a href=\"index.php?section=$section&amp;page=$page&amp;modoption=view&amp;newsletter_id=$newsletter_list[0]\" class=\"sas_module_link\"><b>$newsletter_list[1]</b></a></td>\n
						   </tr>\n";
				}
				print "</table><br/><br/>\n";
			}
			else
			{
				print "<span class=\"sas_module_error\">".$sas_lang['newsletter_module_page_error']."</span>\n";
			}
			
			break;
	}
}
else
{
	print "<span class=\"sas_module_error\">" . $sas_lang['newsletter_module_page_error'] . "</span>\n";
}
?>