﻿/*
 * FCKeditor - The text editor for internet
 * Copyright (C) 2003-2005 Frederico Caldeira Knabben
 * 
 * Licensed under the terms of the GNU Lesser General Public License:
 * 		http://www.opensource.org/licenses/lgpl-license.php
 * 
 * For further information visit:
 * 		http://www.fckeditor.net/
 * 
 * "Support Open Source software. What about a donation today?"
 * 
 * File Name: fckplugin.js
 * 	Plugin to insert "Site@School link into the editor.
 * 
 * this file is part of Site@School CMS http://siteatschool.sourceforge.net
 *
 * File Authors:
 * 		Fred Stuurman (fc.stuurman@hccnet.nl)
 */

// Register the related command.
FCKCommands.RegisterCommand( 
		'Sas_link', 
		new FCKDialogCommand( 'Sas_link', 
		FCKLang.Sas_linkDlgTitle, 
		FCKPlugins.Items['sas_link'].Path + 'sas_link.php', 
		450, 
		500 
	) 
) ;

// Create the "S@S link" toolbar button.
var oSasLinkItem = new FCKToolbarButton( 'Sas_link', FCKLang.Sas_linkBtn, null, false, true ) ;
oSasLinkItem.IconPath = FCKConfig.PluginsPath + 'Sas_link/sas_link.gif' ;
// 'Sas_link' is the name that is used in the toolbar config.
FCKToolbarItems.RegisterItem( 'Sas_link', oSasLinkItem ) ;