<?php
#############################################################################
# Syndeo CMS (former Site@School)
#  is a website management system designed for primary schools.
#
# language file: EN.php 
############################################################################
$sas_lang['lang_charset'] = "iso-8859-1" ;
$sas_lang['login_intro'] = "Open-Source CMS for Schools" ;
$sas_lang['login_error'] = "You have entered a wrong username or password" ;
$sas_lang['logged_out'] = "You are now logged out" ;
$sas_lang['logged_in'] = "You are now logged in" ;
$sas_lang['logged_password_forget'] = "Forgot password?" ;
$sas_lang['logged_email_text'] = "Specify your email address and your password will be sent via email." ;
$sas_lang['logged_password_sent'] = "Your password has been sent to:" ;
$sas_lang['password_reset'] = "Your password has been reset to:" ;
$sas_lang['password_will_be_reset'] = "Your password will be reset if you click on the link below:<br/><br/> %link% Click here</a>" ;
$sas_lang['password_twice'] = "Specify your new password twice:" ;
$sas_lang['mail_sent_failed'] = "Sending the email has failed!" ;
$sas_lang['email_not_exists'] = "Email address doesn't exist!" ;
$sas_lang['cancel'] = "Cancel" ;
$sas_lang['save'] = "Save" ;
$sas_lang['delete'] = "Delete" ;
$sas_lang['edit'] = "Edit" ;
$sas_lang['yes'] = "Yes" ;
$sas_lang['no'] = "No" ;
$sas_lang['send'] = "Send" ;
$sas_lang['insert'] = "Insert" ;
$sas_lang['logout'] = "Logout" ;
$sas_lang['delete_confirmation'] = "Are you sure that you want to delete this section and all the pages it contains?" ;
$sas_lang['delete_file_confirmation'] = "Are you sure that you want to delete %object%?" ;
$sas_lang['startsection_confirmation'] = "Are you sure that you want to set this as the start section?" ;
$sas_lang['startpage'] = "Start page" ;
$sas_lang['nosections'] = "You have not created any sections; click on New Section to add a section." ;
$sas_lang['noaccess'] = "No Access" ;
$sas_lang['noaccess_introduction'] = "You don't have access to this part of the system." ;
$sas_lang['startcenter'] = "SyndeoCMS Management" ;
$sas_lang['welcome'] = "Welcome" ;
$sas_lang['docs_intro'] = "Links to documentation:" ;
$sas_lang['pagemanager'] = "Page manager" ;
$sas_lang['pagemanager_introduction'] = "Here you can create new sections and pages for the website, and edit them. Sections are collections of pages that can be displayed in menus on the site." ;
$sas_lang['newpage_introduction'] = "You can create a new page here by giving it a title, and optionally a module. If you don't choose a module the page will be available for normal editing after creation." ;
$sas_lang['newpage'] = "New Page" ;
$sas_lang['section'] = "Section" ;
$sas_lang['page'] = "Page" ;
$sas_lang['protected_area'] = "Protected area" ;
$sas_lang['category'] = "Category" ;
$sas_lang['category2_tip'] = "Here you can enter a category (optional) to categorise the pages within a section" ;
$sas_lang['theme'] = "Theme" ;
$sas_lang['theme_tip'] = "Here you can choose a theme for the site" ;
$sas_lang['startsection'] = "Start section" ;
$sas_lang['startsection_tip'] = "Choose the section that the visitor will see first" ;
$sas_lang['newsection_introduction'] = "You can create a new section here." ;
$sas_lang['newsection'] = "New section" ;
$sas_lang['editsection'] = "Edit section" ;
$sas_lang['editsection_introduction'] = "Here you can change the name of the section" ;
$sas_lang['editmodpage'] = "Edit module page" ;
$sas_lang['editmodpage_introduction'] = "Here you can edit the page and choose the module that the page displays on the site." ;
$sas_lang['modulebrowser'] = "Module browser" ;
$sas_lang['modbrowser_introduction'] = "With the module browser you can choose to place a module on a page. You have to click on one of the installed modules links, and after that you can choose one of the options of the chosen module." ;
$sas_lang['title'] = "Title" ;
$sas_lang['title_tip'] = "Here you can enter the title of the article" ;
$sas_lang['module_name'] = "Module name:" ;
$sas_lang['module_optional'] = "Module (optional)" ;
$sas_lang['module_script'] = "Program name:" ;
$sas_lang['module_option'] = "This module has no options." ;
$sas_lang['module_tip'] = "Here you can specify a module; if you click on the browse button you will see a list of installed modules." ;
$sas_lang['order'] = "Order" ;
$sas_lang['order_tip'] = "Here you can specify a sort order; pages and sections are sorted from low to high numbers." ;
$sas_lang['browse'] = "Browse..." ;
$sas_lang['close'] = "Close" ;
$sas_lang['date'] = "Date" ;
$sas_lang['invisible'] = "Invisible" ;
$sas_lang['invisible_tip'] = "When you make the section or page invisible it will not show up in the menu on the site." ;
$sas_lang['modulemanager'] = "Module manager" ;
$sas_lang['modulemanager_introduction'] = "Here you can manage installed SyndeoCMS Modules. Modules are special pages, like a discussion board or a guest book." ;
$sas_lang['installed_modules'] = "Modules where you have access to:" ;
$sas_lang['filemanager'] = "File manager" ;
$sas_lang['filemanager_introduction'] = "In the file manager you can upload files, like pictures etc., to the site so that you can later use them in your pages." ;
$sas_lang['filemanager_menu'] = "Menu" ;
$sas_lang['goback'] = "Go back" ;
$sas_lang['uploadfile'] = "Upload file" ;
$sas_lang['createdir'] = "New directory" ;
$sas_lang['emptydir'] = "directory empty" ;
$sas_lang['filesize'] = "File info:" ;
$sas_lang['configuration'] = "Configuration" ;
$sas_lang['configuration2'] = "SyndeoCMS Options" ;
$sas_lang['configuration_introduction'] = "Welcome to the SyndeoCMS control panel, here you can change the settings of the website management system." ;
$sas_lang['configuration_saved'] = "Configuration has been saved." ;
$sas_lang['manage'] = "Manage" ;
$sas_lang['stats'] = "Statistics" ;
$sas_lang['stats_introduction'] = "Hits per page:" ;
$sas_lang['stats_ip_introduction'] = "Here you can specify IP addresses which will be counted as local hits." ;
$sas_lang['stats_local'] = "Local hits" ;
$sas_lang['stats_remote'] = "Remote hits" ;
$sas_lang['stats_own_ip'] = "Your current IP address: " ;
$sas_lang['stats_add_ip'] = "Add IP" ;
$sas_lang['stats_col1'] = "Page name:" ;
$sas_lang['stats_col3'] = "Section name:" ;
$sas_lang['stats_col4'] = "number<br/>of hits:" ;
$sas_lang['stats_col5'] = "date<br/>created:" ;
$sas_lang['stats_col6'] = "date<br/>visited:" ;
$sas_lang['stats_col7'] = "date<br/>updated:" ;
$sas_lang['clear_stats'] = "Clear statistics" ;
$sas_lang['stats_cleared'] = "Statistics have been cleared." ;
$sas_lang['stats_clear_info'] = "Use with <b>extreme</b> care!<br/>Please indicate which statistics you want to clear:" ;
$sas_lang['date_format'] = "Date format" ;
$sas_lang['date_format_tip'] = "Enter the date format for the statistics page eg.: %d-%m-%Y" ;
$sas_lang['editor_rows'] = "Number of lines for page editor" ;
$sas_lang['editor_rows_tip'] = "This will set the height of the page editor." ;
$sas_lang['settings_introduction'] = "SyndeoCMS Configuration. Be careful!" ;
$sas_lang['sitetitle'] = "Website title" ;
$sas_lang['sitetitle_tip'] = "Here you can enter the site name." ;
$sas_lang['sessioncode'] = "Security code" ;
$sas_lang['sessioncode_tip'] = "This is a security code for the system." ;
$sas_lang['serverpath'] = "Location on web server" ;
$sas_lang['serverpath_tip'] = "Enter the location on the webserver, like /home/httpd/htdocs starnet or c:/program files/apache/htdocs/ starnet" ;
$sas_lang['URL_location'] = "URL location of SyndeoCMS" ;
$sas_lang['URL_location_tip'] = "Enter the URL to SyndeoCMS, eg.: http://www.yoursite.com/ (slash on the end!)" ;
$sas_lang['environment'] = "Working environment" ;
$sas_lang['environment_introduction'] = "Here you can configure the SyndeoCMS environment." ;
$sas_lang['language'] = "Language" ;
$sas_lang['language_tip'] = "Choose a language for the SyndeoCMS environment" ;
$sas_lang['editor'] = "Page Editor" ;
$sas_lang['editor_tip'] = "Choose an editor for page editing" ;
$sas_lang['users'] = "Users" ;
$sas_lang['users_introduction'] = "Here you can add new users and manage existing ones. You can also change access rights and passwords." ;
$sas_lang['modifyuser_introduction'] = "Here you can change user properties" ;
$sas_lang['newuser'] = "New user" ;
$sas_lang['newuser_introduction'] = "Here you can create a new user account" ;
$sas_lang['accessrights'] = "Access rights" ;
$sas_lang['fullname'] = "Full name" ;
$sas_lang['fullname_tip'] = "Please enter the first and last name" ;
$sas_lang['username'] = "Username" ;
$sas_lang['username_tip'] = "This username is used for login" ;
$sas_lang['password'] = "Password" ;
$sas_lang['password_tip'] = "This password is used for login" ;
$sas_lang['email'] = "Email address" ;
$sas_lang['email_tip'] = "The user's email address" ;
$sas_lang['email_tip1'] = "Enter the email address for the mail module" ;
$sas_lang['deleteuser_confirmation'] = "Are you sure you want to delete this user?" ;
$sas_lang['location'] = "Location?" ;
$sas_lang['personalsettings'] = "Personal settings" ;
$sas_lang['teachers'] = "Teachers" ;
$sas_lang['teachers_introduction'] = "Create teacher accounts." ;
$sas_lang['students'] = "Pupils" ;
$sas_lang['student_pages'] = "Class pages" ;
$sas_lang['class_page'] = "Class page" ;
$sas_lang['student_pages_intro'] = "Here you can create, view, delete and approve pages for pupils and teachers." ;
$sas_lang['student_view'] = "View Page" ;
$sas_lang['student_update'] = "Approve Page" ;
$sas_lang['student_create_page'] = "Create Page" ;
$sas_lang['student_create_delete'] = "Delete Page" ;
$sas_lang['student_delete_confirm'] = "Are you sure you want to delete this student?" ;
$sas_lang['students_move_to'] = "Move to class " ;
$sas_lang['students_have_moved'] = "Pupils have been moved to: " ;
$sas_lang['class_delete_confirm'] = "Are you sure you want to delete this class?" ;
$sas_lang['page_delete_confirm'] = "Are you sure you want to delete this page?" ;
$sas_lang['class_delete_error'] = "Delete all pupils in this class first!" ;
$sas_lang['student_header'] = "This is the page of: " ;
$sas_lang['student_no_page'] = "Pupil's page has not been created!" ;
$sas_lang['student_directory'] = "Directory name of pages:" ;
$sas_lang['student_page_check'] = "Check pupil's page:" ;
$sas_lang['student_page_email'] = "Send email?" ;
$sas_lang['student_page_save'] = "Your page has been saved!" ;
$sas_lang['student_project_edit'] = "This page was created and is maintained by " ;
$sas_lang['student_project_empty'] = "This page is empty: " ;
$sas_lang['student_project_noedit'] = "The page of pupil/teacher is not yet created: " ;
$sas_lang['student_project_nostudent'] = "No pupil entered into the project " ;
$sas_lang['student_project_boss'] = "Facilitator of this project: " ;
$sas_lang['student_project_down'] = "Page down" ;
$sas_lang['student_project_up'] = "Page up" ;
$sas_lang['student_project_index'] = "Index" ;
$sas_lang['project_new'] = "New project" ;
$sas_lang['student_project'] = "Project" ;
$sas_lang['student_projects'] = "Projects" ;
$sas_lang['student_email_message1'] = "Hi,

I have created/changed my personal web page. Could you please check and approve it? 

Thank you." ;
$sas_lang['student_email_message2'] = "Hi, <br/><br/>I have created/changed my personal web page:<br/>title: %title% <br/><br/> %link% <br/><br/>" ;
$sas_lang['newstudent'] = "New pupil" ;
$sas_lang['students_introduction'] = "Here you can create classes and pupil accounts." ;
$sas_lang['class'] = "Class" ;
$sas_lang['class_tip'] = "Choose a class for the teacher" ;
$sas_lang['student_class_tip'] = "Choose a class for the pupil" ;
$sas_lang['student_project_tip'] = "You can register a pupil or teacher with a project" ;
$sas_lang['newclass'] = "New class" ;
$sas_lang['newteacher'] = "New teacher" ;
$sas_lang['newteacher_prev_user'] = "New teacher already user" ;
$sas_lang['userasteacher'] = "Create a new teacher from an existing user" ;
$sas_lang['no_userasteacher'] = "The list of users likely to become a teacher is empty!" ;
$sas_lang['student_name_exists'] = "The chosen username already exists!" ;
$sas_lang['intranet'] = "Go to intranet >>>" ;
$sas_lang['sourcecode'] = "Source code" ;
$sas_lang['login'] = "Login" ;
$sas_lang['login_text'] = "To login please enter your username and password." ;
$sas_lang['page_edit'] = "Edit your page" ;
$sas_lang['font_type'] = "Font" ;
$sas_lang['font_size'] = "Size" ;
$sas_lang['click_picture'] = "Click on a picture above" ;
$sas_lang['file'] = "File:" ;
$sas_lang['picture'] = "Picture" ;
$sas_lang['outline'] = "Outline:" ;
$sas_lang['left'] = "Left" ;
$sas_lang['right'] = "Right" ;
$sas_lang['middle'] = "Centre" ;
$sas_lang['standard'] = "Standard" ;
$sas_lang['border'] = "Border:" ;
$sas_lang['nothing_selected'] = "Nothing selected" ;
$sas_lang['html_code'] = "HTML code:" ;
$sas_lang['link_text'] = "Link text:" ;
$sas_lang['insert_picture'] = "Insert picture" ;
$sas_lang['insert_table'] = "Insert table" ;
$sas_lang['insert_rule'] = "Insert horizontal line" ;
$sas_lang['internal_link'] = "Insert internal link" ;
$sas_lang['directory'] = "Directory:" ;
$sas_lang['load_images'] = "Loading images" ;
$sas_lang['up_images'] = "Uploading image..." ;
$sas_lang['width'] = "Width:" ;
$sas_lang['height'] = "Height:" ;
$sas_lang['table_cols'] = "Columns:" ;
$sas_lang['table_rows'] = "Rows:" ;
$sas_lang['shade'] = "Shade:" ;
$sas_lang['tools'] = "Tools" ;
$sas_lang['tools_introduction'] = "Here you can change the language used in SyndeoCMS and make a backup of your database." ;
$sas_lang['language_file'] = "Language file to translate:" ;
$sas_lang['language_file_new'] = "Specify language code (DE, DA, FR, etc.):" ;
$sas_lang['language_file_saved'] = "Language file has been saved." ;
$sas_lang['database_backup'] = "Database backup" ;
$sas_lang['translation'] = "Translate tool" ;
$sas_lang['translation_introduction'] = "Please read the Translate <a href=\"manual/trnsl.htm\" target=\"_blank\">Manual</a> for detailed instructions on the use and possibilities of this tool." ;
$sas_lang['make_template'] = "How to make Templates" ;
$sas_lang['general_info'] = "General info" ;
$sas_lang['tips'] = "Tips and tricks" ;
$sas_lang['url_online'] = "When your school website is up and running, we would appreciate receiving an email with your URL. <br/>
By clicking <a href=\"mailto:fc.stuurman@gmail.com?subject=SyndeoCMS URL\" style=\"text-decoration: underline\">here</a> you can send us this email. Many thanks on behalf of the SyndeoCMS team." ;
$sas_lang['input_error'] = "Please fill in all required fields!" ;
$sas_lang['required_fields'] = "(*) These fields are required!" ;
$sas_lang['alerts'] = "Alerts" ;
$sas_lang['alert_add'] = "New alert" ;
$sas_lang['alert_intro'] = "Here you can add email addresses to which alerts will be sent when something changes on your website." ;
$sas_lang['alert_email_exists'] = "That email address already exists!" ;
$sas_lang['alert_sections'] = "Section (eg.: 1,2,P1)" ;
$sas_lang['alerts_send'] = "Send alerts? (Y/N)" ;
$sas_lang['alerts_per_section'] = "Alerts per section? (Y/N)" ;
$sas_lang['alert_message'] = "Alert for a change on site " ;
$sas_lang['student_is_user'] = "Is pupil also a SyndeoCMS user?" ;
$sas_lang['teacher_is_user'] = "Is teacher also a SyndeoCMS user?" ;
$sas_lang['alert_change'] = "Change alert" ;
$sas_lang['number_of_pages'] = "Number of pupil pages" ;
$sas_lang['number_of_pages_tip'] = "Maximum number of pupil pages a pupil can edit." ;
$sas_lang['replace_tool'] = "String replacement tool" ;
$sas_lang['replace_tool_intro'] = "With this tool you can replace text or links in the site content.
The replacement is performed throughout the entire website.
<b>Caution: do a database backup first!</b>" ;
$sas_lang['replace_from'] = "Replace string" ;
$sas_lang['replace_to'] = "with" ;
$sas_lang['copyuser'] = "Copy user" ;
$sas_lang['copyuser_introduction'] = "Here you can create a new user with the access rights of an existing user" ;
$sas_lang['class_no_linkpage'] = "There is no SyndeoCMS page which corresponds with the name of this class!" ;
$sas_lang['other_pupilpages'] = "Other pages by" ;
$sas_lang['public_area'] = "Public area" ;
$sas_lang['text'] = "Text" ;
$sas_lang['replaced_by'] = "has been replaced by" ;
$sas_lang['doc_index'] = "Documentation index" ;
$sas_lang['teacher_pages'] = "Teacher pages" ;
$sas_lang['page_on'] = "Page on:" ;
$sas_lang['both'] = "Both" ;
$sas_lang['site_email'] = "Site email address" ;
$sas_lang['sitemap_welcome_text'] = "Welcome text (HTML)" ;
$sas_lang['sections_tip'] = "Here you can specify which sections (separate with a comma) a user can edit; blank means all sections." ;
$sas_lang['sections_not_found'] = "This section(s) is not in the system:" ;
$sas_lang['class_is_project'] = "Is this class a project class?" ;
$sas_lang['change_template_page'] = "Change the page's characteristics" ;
$sas_lang['page_in_use'] = "This page is being edited by <b>%user_name%</b>.<br/>
Please contact him/her to release the page!<br/>
The page is released when it is saved or when the user logs out." ;
$sas_lang['projects_introduction'] = "Here you can create and change project groups. A project is a special group with pages which can be assigned to one or more pupils." ;
$sas_lang['no_email'] = "You must provide a valid email address!" ;
$sas_lang['number_of_project_pages'] = "Enter the number of project pages you want to create" ;
$sas_lang['student_project_members'] = "Project members" ;
$sas_lang['student_project_page_names'] = "Project pages" ;
$sas_lang['project_name_exists'] = "A project/class with this name already exists!" ;
$sas_lang['file_permissions'] = "Directory permissions" ;
$sas_lang['file_permissions_tip'] = "These permissions (Linux only, eg. 0750) will be used when uploading pictures to SyndeoCMS (with File Manager, ALbum etc.)" ;
$sas_lang['student_project_warning'] = "Check pupil\'s page and Send email cannot be YES for both options. Please choose one or the other." ;
$sas_lang['user_delete_error'] = "You cannot delete your own user ID!" ;
$sas_lang['password_need_change'] = "You must change your password!" ;
$sas_lang['password_change_problem'] = "There was a problem with your new password; please change your password again!" ;
$sas_lang['password_has_changed'] = "Your password has been changed!" ;
$sas_lang['password_new'] = "New password (Enter twice)" ;
$sas_lang['student'] = "pupil" ;
$sas_lang['directory_not_empty'] = "is not empty - you will need to delete the files/directory manually." ;
$sas_lang['template'] = "Template" ;
$sas_lang['choose_one'] = "choose one" ;
$sas_lang['import_import'] = "Import" ;
$sas_lang['classes'] = "Groups" ;
$sas_lang['fixed_record_length'] = "Fixed Record Length" ;
$sas_lang['CVS_format1'] = "CSV (date format = YY/MM/DD)" ;
$sas_lang['CVS_format2'] = "CSV (date format = MM/DD/YY)" ;
$sas_lang['CVS_format3'] = "CSV (date format = DD/MM/YY)" ;
$sas_lang['field_definitions'] = "Field definitions" ;
$sas_lang['fixed_start'] = "Fixed start" ;
$sas_lang['fixed_length'] = "Fixed length" ;
$sas_lang['CSV_index'] = "CSV index" ;
$sas_lang['fileformat'] = "File format:" ;
$sas_lang['unique_key'] = "Unique key" ;
$sas_lang['first_name'] = "First name" ;
$sas_lang['infix'] = "Infix (Dutch)" ;
$sas_lang['last_name'] = "Surname" ;
$sas_lang['birthday'] = "Birthday" ;
$sas_lang['birthday_year'] = "Birthday (year)" ;
$sas_lang['birthday_month'] = "Birthday (month)" ;
$sas_lang['birthday_day'] = "Birthday (day)" ;
$sas_lang['comments'] = "Comments" ;
$sas_lang['more_editing'] = "More editing required" ;
$sas_lang['recalculate'] = " Recalculate " ;
$sas_lang['generate'] = " Generate " ;
$sas_lang['everything_looks_OK'] = "Everything looks OK" ;
$sas_lang['results_written'] = " : results written to the users table" ;
$sas_lang['existing_name_used'] = "Existing name in system database will be reused" ;
$sas_lang['name_used_more_once'] = "Name is used more than once" ;
$sas_lang['multiple_upload'] = "Multiple upload" ;
$sas_lang['return_to_editor'] = "Return to editor?" ;
$sas_lang['teacher_delete_confirm'] = "Are you sure you want to delete this teacher and his/her personal directory and files?" ;
$sas_lang['project_delete_confirm'] = "Are you sure you want to delete this project and its directory and files?" ;
$sas_lang['page_in_use2'] = "This page is being edited by user: " ;
$sas_lang['user_revoked'] = "Your user ID has been revoked; please request a new password." ;
$sas_lang['file_check'] = "<b>File check:</b><br/>
The following files have an extention which is not allowed within SyndeoCMS. <br/>
Some of them could be suspicious because they are server executable:" ;
$sas_lang['select_all'] = "Select all" ;
$sas_lang['empty_list'] = "List is empty." ;
$sas_lang['student_directories'] = "Group directories" ;
$sas_lang['valid_file_extentions'] = "Valid file extensions:" ;
$sas_lang['file_exists'] = "The file %file_name% already exists! You need to delete it from the server first!" ;
$sas_lang['invalid_submission'] = "You have just resubmitted this form from this location. This isn't allowed!<br/>
Please wait 15 minutes before resubmitting." ;
$sas_lang['password_length_error'] = "The password needs to be at least 4 characters." ;
$sas_lang['filemanager_groups_intro'] = "Here you can delete/upload files and create/delete folders that belong to a pupil/teacher/project." ;
$sas_lang['filemanager_classes_intro'] = "Here you can delete/upload files and create/delete folders that belong to a pupil/teacher/project of the selected group." ;
$sas_lang['logging'] = "Logging" ;
$sas_lang['logging_intro'] = "Here you can view or delete website errors and logon (attempts) by users.<br /> 
You can also email the error logs." ;
$sas_lang['logging_mail_intro'] = "Here you can email the error text to the developer of SyndeoCMS (fc.stuurman@gmail.com). 
<br/>You can change the site email address to a different email address.
<br/>You can enter more than one email address (e.g yourself) by separating them with a comma.<br/>
In the text field you can add additional information on how this error occurred. <br/>This information will be emailed along with the error description. Thank you." ;
$sas_lang['save_as_template'] = "Save as template:" ;
$sas_lang['logging_error_desc'] = "Description" ;
$sas_lang['email_sent'] = "Email has been sent." ;
$sas_lang['welcome_introduction'] = "This is the startpage of the SyndeoCMS website management system, here you can manage your website.<p>
Also do you find here the latest changes of your website:<br/>
<ul><li>Latest SyndeoCMS news <a href=\"http://www.syndeocms.org/index.php?section=2\" style=\"text-decoration: underline;\" target=\"_blank\">click here ...</a></li>
<li>If you have questions, you can go the <a href=\"http://www.syndeocms.org/forum/index.php\" style=\"text-decoration: underline;\" target=\"_blank\">Users forum</a></li>
<li>Manual SyndeoCMS <a href=\"http://www.syndeocms.org/manual/\" style=\"text-decoration: underline;\" target=\"_blank\">click here ...</a></li>
<li>Overview of known bugs and their solution <a href=\"http://www.syndeocms.org/index.php?page=64&section=3\" style=\"text-decoration: underline;\" target=\"_blank\">click here ...</a></li>
<li>Other websites using SyndeoCMS <a href=\"http://www.syndeocms.org/index.php?section=1&page=43\" style=\"text-decoration: underline;\" target=\"_blank\">click here ...</a></li>
</ul>" ;
$sas_lang['latest_changes'] = "Latest changes" ;
$sas_lang['some_numbers'] = "Some numbers" ;
$sas_lang['logging_email'] = "If an error occurs, an error report will be sent via email. 
Here you can specify the email address where the error report will be send, if you leave it blank <b>no</b> error report will be sent." ;
$sas_lang['section_no_pages'] = "This section has either no pages or there is no start page defined for this section." ;
$sas_lang['hidden'] = "Hidden" ;
$sas_lang['hidden_tip'] = "If you make the page hidden it will not be shown on your site." ;
$sas_lang['user_logging'] = "User logging" ;
$sas_lang['error_logging'] = "Error logging" ;
$sas_lang['import_mail_send'] = "You have been send an email (to: %email_user%) with a list of users which were imported via the import function!
		<br>You might want to delete file : <b>%filename%</b>" ;
$sas_lang['clear_css'] = "Clear CSS for all modules" ;
$sas_lang['restore_css'] = "Restore CSS defaults" ;
$sas_lang['propagate_css'] = "Propagate CSS to other modules" ;
$sas_lang['propagate_css_question'] = "Are you sure you want to propagate CSS to all other modules?" ;
$sas_lang['clear_css_question'] = "Are you sure you want to clear CSS for all modules?" ;
$sas_lang['restore_css_question'] = "Are you sure you want to restore CSS defaults for all modules?" ;
$sas_lang['project_does_not_exist'] = "No project found with the name of: %pagename% , check your projects configuration." ;
$sas_lang['delete_all'] = "Delete all" ;
?>