<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.04  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@hccnet.nl)
* Ads module : 
* view_ads.php: last changed 22/11/2007 by Fred Stuurman (fc.stuurman@hccnet.nl)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

//initialize vars
$name = "";
$message = "";
$email = "";

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

if (IsSet ($_POST['name']))
{
	$name = sanitize($_POST['name'], 60 , 'S'); //sanitize the input
}

if (IsSet ($_POST['email']))
{
	$email = sanitize($_POST['email'], 80 , 'A'); //sanitize the input, max 80 characters
}

if (IsSet ($_POST['message']))
{
	$message = sanitize($_POST['message'], 500 , 'S'); //sanitize the input
}

function address2text($address)
{
	// address2text -- convert email address to text; more difficult to harvest
	// Peter Fokker - 2004-03-13 - peter (at) berestijn (dot) nl ;-)
	$at = "at";
	$dot = "dot";
	return str_replace("@", " ($at) ", str_replace(".", " ($dot) ", $address));
} // address2text

load_language($cmsdir . '/', 'sn_ads'); //load language file

$table_adtext = $dbprefix . "m_adtext";
$table_ads_cat = $dbprefix . "m_adtext_cat";

$date_format = $sas_config['dateformat'];

if ($_SESSION['site'] == "protected")
{
	$public = 1;	
}
else
{
	$public = 0 ;
}

$query = "SELECT id, welcome, disclaimer, email, max_days, check_before_post, icon FROM $table_ads_cat 
			WHERE name = '".$pagetitle."' AND public = '$public' LIMIT 1";
$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$RecordCount = mysql_num_rows($result);

if ($RecordCount > 0)
{
	$ads_id = mysql_result($result, 0, 0);
	$ads_welcome_text = mysql_result($result, 0, 1);
	$ads_disclaimer_text = mysql_result($result, 0, 2);
	$email_owner = mysql_result($result, 0, 3);
	$ads_max_days = mysql_result($result, 0, 4);
	$check_before_post = mysql_result($result, 0, 5);
	$ads_icon = mysql_result($result, 0, 6);
	
	switch ($modoption) // start of switch
	{
		default :		//list ads 
			
			$query = "SELECT ad_id, name, email, ad_text, UNIX_TIMESTAMP(date) FROM $table_adtext 
						WHERE initial = 1 AND ads_id = '".$ads_id."' ORDER BY ad_id DESC";

			$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 

			print "<span class=\"sas_module_title\">$ads_disclaimer_text</span>";
			print "<center><input type=\"button\" value=\"" . $sas_lang['ads_module_add'] . "\" 
					onclick=\"javascript:parent.location='index.php?section=$section&amp;page=$page&amp;modoption=add';\"/></center><br/>";
	
			while ($ad_list = mysql_fetch_array($result))
			{
				$ad_text = str_replace("\n", "<br>", $ad_list[3]);
				$date1 = strftime($date_format, $ad_list[4]);
				
				print "<table border=\"1\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" class=\"sas_module_table\"><tr><td>
						<table width=\"100%\" border=\"0\">";
				print "<tr>
			              <td align=\"left\">";
						  
				if ($ads_icon != "")
				{
					print "<img src=\"$ads_icon\" alt=\"$ads_icon\"/>";
				}
				else
				{
					print "&nbsp;";
				}
				print "</td>
			              <td align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_date'] . "</span>" .
			              "<span class=\"sas_module_text\">$date1</span></td>
						</tr>";
				print "<tr>
			              <td align=\"right\" width=\"70\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_name'] . "</span></td>
			              <td><span class=\"sas_module_text\">$ad_list[1]</span></td>
						</tr>";
				print "<tr>
			              <td align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_email'] . "</span></td>
			              <td><span class=\"sas_module_text\">" . address2text($ad_list[2]) . "</span></td>
						</tr>";
				print "<tr>
			              <td valign=\"top\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_text'] . "</span></td>
			              <td><span class=\"sas_module_text\">$ad_text</span></td>
						</tr>";
				print "</table></td></tr></table><br/>";
			}
		break;
	
		case add :
		
			print "
<script language=\"JavaScript\" type=\"text/javascript\">
function checkinput ( form )
{  
	var filter  = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
	
	if (form.name.value == '')
	{
	alert( \"$sas_lang[ads_module_noname]\" );
	form.name.focus();
	return false ;
	}
	if (form.email.value == '')
	{
	alert( \"$sas_lang[ads_module_noemail]\" );
	form.email.focus();
	return false ;
	}
	
	if (!filter.test(form.email.value)) 
	{
	alert( \"$sas_lang[ads_module_noemail]\" );
	return false ;
	}
	if (form.message.value == '')
	{
	alert( \"$sas_lang[ads_module_notext]\" );
	form.message.focus();
	return false ;
	}

  return true ;
}
</script>";
			//set a code in a session var which is checked at submit time.
			$submit_check_code = random_code(10) ;
			$_SESSION['submit_check_code'] = $submit_check_code ;
	
			print "<form name=\"mainform\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=save&amp;ads_id=$ads_id\" method=\"post\" onsubmit=\"return checkinput(this);\">       
			        <table cellspacing=\"0\" cellpadding=\"4\" class=\"sas_module_table\">
			        <tr>
			        	<td valign=\"top\" colspan=\"2\"><span class=\"sas_module_title\">$ads_welcome_text</span></td></tr>
			        <tr>
			        	<td id=\"text1\" valign=\"top\" width=\"25%\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_name'] . " (*)</span></td>
			        	<td><input class=\"sas_module_input\" type=\"text\" name=\"name\" id=\"input1\" size=\"40\" value=\"$name\"/></td>
			        </tr>
			        <tr>
			        	<td id=\"text2\" valign=\"top\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_email'] . " (*)</span></td>
			        	<td><input class=\"sas_module_input\" type=\"text\" name=\"email\" id=\"input2\" size=\"40\" value=\"$email\"/></td>
			        </tr>
			        <tr>
			        	<td id=\"text3\" valign=\"top\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_text'] . " (*)</span></td>
			        	<td><textarea class=\"sas_module_input\" name=\"message\" rows=\"6\" cols=\"50\">$message</textarea></td>
			        </tr>
			        <tr><td>&nbsp;</td><td><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</span></td>
					</tr>
		        	<tr>
		        	<td colspan=\"2\"><center>
		        		<input type=\"hidden\" name=\"submit_check_code\" value=\"$submit_check_code\"/>
		        		<input type=\"submit\" id=\"input3\" value=\"" . $sas_lang['save'] . "\"/></center></td>
			        </tr>
			        </table></form>";
		break;
	
		case save :
			
			//try to prevent spam postings
			//if the submit_check_code stored in the session is equal to the one submitted
			//we allow submission
			if ($_POST['submit_check_code'] != $_SESSION['submit_check_code']) 
			{
			   print "<span class=\"sas_module_error\">".$sas_lang['invalid_submission']."</span>";
			   exit;
			}
			
			$submitted_time_key = $pagetitle."_submitted_time";
			if (IsSet ($_SESSION[$submitted_time_key]))
			{
				//we have had a previous submit from this session
				//calculate how many seconds ago and
				//allow submission if the last submission is not longer than 5 minutes ago.
				$delta_time = time() - $_SESSION[$submitted_time_key] ; 
				if ($delta_time < 300)
				{
					print "<span class=\"sas_module_error\">".$sas_lang['invalid_submission']."</span>";
					exit;
				}
			}
			
			if ($check_before_post == 1 ) 			//do we publish directly
			{
				$initial = 0 ;
				$check = $sas_lang['no'] ;
			}
			else
			{
				$initial = 1 ;
				$check = $sas_lang['yes'] ;
			}
			
			mysql_query("INSERT INTO $table_adtext (ad_id, email, ad_text, date, name, initial, ads_id) 
							VALUES (NULL, '$email', '$message', NOW(), '$name', '$initial', '$ads_id')");
							
			if ($ads_max_days != 0) //do not delete when 0 days!
			{
				mysql_query("DELETE from $table_adtext WHERE date < current_date() - INTERVAL $ads_max_days day"); //delete old entries
			}

			$ip = $_SERVER["REMOTE_ADDR"];
			// set the last update date for the page
			$date1 = date("Y-m-d H:i:s");
			mysql_query("UPDATE $table_pages SET lastupdate = '$date1' WHERE id = '".$page."'");

			if ($email_owner != "")
			{
				$date1 = date("d-m-Y - H:i:s");
				$subject = "$sitename: " . $sas_lang['ads_module_added'];
				$message = stripslashes(nl2br($message));
				$message_to_sent = "<html>
									<head>
									<meta http-equiv=\"Content-Type\" content=\"text/html; charset=" . $sas_lang['lang_charset'] . "\">
									<title>".$pagetitle."</title>
									</head>
									<body>
									<b><font size=4>" . $sas_lang['ads_module_mailtext'] . "&nbsp;" . $sitename . "</font></b>
									<table width=70%>
									<tr>
									<td width=30%>" . $sas_lang['ads_module_date'] . " </td>
									<td><b>$date1</b></td>
									</tr>
									<tr>
									<td valign=top>" . $sas_lang['page'] . " </td>
									<td><b>$pagetitle </b></td>
									</tr>
									<tr>
									<td valign=top>" . $sas_lang['ads_module_publish_directly'] . ": </td>
									<td><b>$check </b></td>
									</tr>
									<tr>
									<td>" . $sas_lang['ads_module_name'] . " </td>
									<td><b>$name</b></td>
									</tr><tr>
									<td>" . $sas_lang['ads_module_email'] . " </td>
									<td><b>$email</b></td>
									</tr><tr>
									<td valign=top>" . $sas_lang['ads_module_text'] . " </td>
									<td><b>$message </b></td>
									</tr><tr>
									<td>IP:</td>
									<td><b>$ip</b></td>
									</tr></table>
									</body></html>";
				require ("$cmsdir/core/class.phpmailer.php"); //use the phpmailer class
				$mail = new PHPMailer();
				$mail->CharSet = $sas_lang['lang_charset'] ;
				$mail->From = $email; //email address of submitter
				$mail->FromName = $sitename;
				$mail->Subject = $subject;
				$mail->Body = $message_to_sent;
				$mail->IsHTML(true);
				$mail->AddAddress($email_owner); //add email address ads owner.
				$mail->Send();
			}
			
			$_SESSION['submit_check_code'] = "" ; //clear the code so it cannot be used again!
			$_SESSION[$submitted_time_key] = time(); //record the time of this submission
			echo "<script language='javascript'>window.location = 'index.php?section=$section&page=$page'</script>";

		break;
	}//end switch
}
else
{
	print "<span class=\"sas_module_error\">".$sas_lang['ads_module_not_exists']."</span>" ;
}
?>