<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.6  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@hccnet.nl)
* Messages module : 
* admin.php: last changed 13/02/2008 by Fred Stuurman (fc.stuurman@hccnet.nl)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 20, 'A');
}
else
{
	$modoption = "list_message_pages";	//default choice
}
if (IsSet ($_GET['cat_id']))
{
	$cat_id = sanitize($_GET['cat_id'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_GET['message_id']))
{
	$message_id = sanitize($_GET['message_id'], 5 , 'S'); //sanitize, 5 chars max
}
if (IsSet ($_POST['message_page_name']))
{
	$message_page_name = sanitize($_POST['message_page_name'], 50 , 'S'); //sanitize, 50 chars max
}
if (IsSet ($_POST['message_welcome_text']))
{
	$message_welcome_text = sanitize($_POST['message_welcome_text'], 1500, 'U');
}
if (IsSet ($_POST['message_add_text']))
{
	$message_add_text = sanitize($_POST['message_add_text'], 1500, 'U');
}
if (IsSet ($_POST['intro_message']))
{
	$intro_message = sanitize($_POST['intro_message'], 1500, 'U');
}
if (IsSet ($_POST['message']))
{
	$message = sanitize($_POST['message'], 1500, 'U');
}
if (IsSet ($_POST['page_id']))
{
	$page_id = sanitize($_POST['page_id'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_POST['link_icon']))
{
	$link_icon = sanitize($_POST['link_icon'], 60 , 'S'); //sanitize, 60 chars max
}
if (IsSet ($_POST['name']))
{
	$name = sanitize($_POST['name'], 50 , 'S');
}
if (IsSet ($_POST['days']))
{
	$days = sanitize($_POST['days'], 5 , 'I');
}
if (IsSet ($_POST['date']))
{
	$date = sanitize($_POST['date'], 15 , 'S');
	$date = convert_date($date); //put it in the form of %y-%m-%d
}
if (IsSet ($_POST['public']))
{
	$public = sanitize($_POST['public'], 1, 'I');
}


load_language('', 'sn_message'); //load language file

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<span class=heading>" . $sas_lang['filemanager_menu'] . "</span><br><br>";
print "<span class=link><a href=index.php?option=modulemanager&module=$module&modoption=list_message_pages>" . $sas_lang['message_module_content'] . "</a><p>
<a href=index.php?option=modulemanager&module=$module&modoption=config>" . $sas_lang['configuration'] . "</a><br></span>";
include ("interface/menuend.inc.php");
include ("interface/pagestart.inc.php");

$table_message = $dbprefix . "m_message";
$table_message_cat = $dbprefix . "m_message_cat";

$query = "SELECT name FROM $table_modules WHERE id = '".$module."' LIMIT 1";
$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$modulename = mysql_result($result, 0);
unset ($query);
unset ($result);

$date_format = $sas_config['dateformat'];

print "<span class=\"heading\">$modulename</span>
				<p><span class=\"text\">" . $sas_lang['message_module_intro'] . "</span> ";

switch ($modoption) // start of switch
{

	case save_config:
	
		mysql_query("UPDATE $table_configuration SET config_value = '$message_add_text' WHERE config_key = 'message_add_text'");
		print "<span class=\"heading\">$modulename $sas_lang[configuration]<br><br></span>";
		print $sas_lang[message_module_saved];
		
	break;
	
	case delete_message_page :
		
		mysql_query("DELETE FROM $table_message_cat WHERE id = '".$cat_id."'");
		mysql_query("DELETE FROM $table_message WHERE message_id = '".$ads_id."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_message_pages'</script>";
	
	break;
	
	case delete_message:
	
		mysql_query("DELETE FROM $table_message WHERE id = '".$message_id."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_messages&cat_id=$cat_id'</script>";
		
	break;
	
	case save_message:

	$days = intval($days);

		if ($message_id == 0)	//when $message_id is 0 we have a new message
		{
			mysql_query("INSERT INTO $table_message (id, intro_message, message, date, name, days, todate, message_id)
								VALUES (NULL, '$intro_message', '$message', NOW(), '$name', '$days', DATE_ADD(NOW(), INTERVAL $days DAY), '$page_id')");
		}
		else
		{
			mysql_query("UPDATE $table_message SET intro_message = '$intro_message',
                                                message = '$message' ,
												date = '$date' ,
												name = '$name' ,
												days = '$days',
												todate = DATE_ADD('$date',INTERVAL $days DAY),
												message_id = '$page_id'
												WHERE id = '".$message_id."'");
		}
		
		// set the last update date for the page
		$date1 = date("Y-m-d H:i:s");
		mysql_query("UPDATE $table_pages SET lastupdate = '$date1' WHERE module = 'sn_message/view_message.php'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_messages&suboption=$suboption&cat_id=$page_id'</script>";
	
	break;
	
	
	case save_message_page:
	
		if ($cat_id == 0)	//when message_id is 0 we have a new ads page
		{
			$query = "SELECT id FROM $table_message_cat WHERE pagename = '".$message_page_name."'";
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$RecordCount = mysql_num_rows($result);
			if ($RecordCount > 0)
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"".$sas_lang['message_module_name_exists']."\");
					   //-->
					   </script>";
			}
			mysql_query("INSERT INTO $table_message_cat (id, pagename, welcome, public, icon)
				VALUES (NULL, '$message_page_name', '$message_welcome_text', '$public', '$link_icon')");
		}
		else
		{
			mysql_query("UPDATE $table_message_cat 
								SET pagename = '$message_page_name' ,
								welcome = '$message_welcome_text' ,
								public = '$public',
								icon = '$link_icon'
								WHERE id = '".$cat_id."'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_message_pages'</script>";
		
	break;
	
	case list_message_pages :
		
		$query = "SELECT id, pagename, welcome, public FROM $table_message_cat ORDER BY pagename";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$Recordcount = mysql_num_rows($result); //number oflinks categories
		if ($Recordcount > 0)
		{
			print "<table border=\"0\">";
		
			while ($page_list = mysql_fetch_array($result)) //loop through pagenames
			{

				$query2 = "SELECT id FROM $table_message WHERE message_id = '$page_list[0]'";

				$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
				$Recordcount1 = mysql_num_rows($result2); //number of links
				
				$public = "" ;
				if ($page_list[3] == 1)
				{
					$public = "(*)";
				}
		
				print "	<tr><td colspan=\"2\">&nbsp;</td></tr>
						<tr><td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" 
						onClick=\"if(confirm('$sas_lang[message_module_cat_delete_confirm]'))
						parent.location='index.php?option=modulemanager&module=$module&modoption=delete_message_page&cat_id=$page_list[0]';\">
						<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" 
						onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_message_page&cat_id=$page_list[0]'\"></td>
						<td><span class=\"link\"><a href=index.php?option=modulemanager&module=$module&modoption=list_messages&cat_id=$page_list[0]>" . $page_list[1] . 
						"</a> ($Recordcount1)</span> <span class=\"text\">$public</span></td></tr>";
			}
		}
		else
		{
			print "<span class=\"text\">" . $sas_lang['message_module_addcategory_please'] . "</span>";
		}
		print "<tr><td colspan=\"2\">&nbsp;</td></tr>
				</table><span class=\"text\">(*) " . $sas_lang['message_module_is_public'] . "</span>" ;
		print "<p><img border=\"0\" src=\"graphics/document.gif\">
			   <span class=\"link\"><a href=\"index.php?option=modulemanager&module=$module&modoption=add_message_page\">" . $sas_lang['message_module_add_message_page'] . "</a></span>
			   &nbsp;&nbsp;<img border=\"0\" src=\"graphics/document.gif\">
			   <span class=\"link\"><a href=\"index.php?option=modulemanager&module=$module&page_id=$page_id&modoption=add_message\">" . $sas_lang['message_module_add'] . "</a></span><p>";
		print "<input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" onClick=\"javascript:parent.location='index.php?option=modulemanager';\" class=\"backbutton\">";
	
	break;
	
	case add_message_page :
	
		print "<span class=\"text\">" . $sas_lang['message_module_add_message_page'] . "</center><p></span>";
		print "\n<form METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_message_page&cat_id=0\" 
			   onsubmit=\"return checkinput(this);\">";
		print "<table cellspacing=\"0\" cellpadding=\"0\">";
	
		print "<tr><td><span class=\"text\">" . $sas_lang['message_module_pagename'] . ":</span></td></tr>
				<tr><td><input type=\"text\" size=50 class=\"textfield\" name=\"message_page_name\"></td></tr>";
		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		print "<tr><td><span class=\"text\">" . $sas_lang['message_module_header1'] . ": &nbsp;</span></td></tr>
				<tr><td><textarea cols=\"70\" rows=\"4\" name=\"message_welcome_text\"></textarea></td></tr>";
		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		
		print "<tr><td><span class=\"text\">" . $sas_lang['message_module_icon'] . ":</span></td></tr>
				<tr><td><input type=\"text\" size=50 class=\"textfield\" name=\"link_icon\" value=\"starnet/modules/sn_message/folder.gif\"></td></tr>";
		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";		
		print "<tr><td><span class=\"text\">".$sas_lang['message_module_is_public'].":&nbsp;";
		print "<span class=\"text\">".$sas_lang['no']."</span>&nbsp;";
		print "<input type=\"radio\" value=\"0\" name=\"public\" checked>&nbsp;";
		print "<span class=\"text\">&nbsp;&nbsp;&nbsp; ".$sas_lang['yes']."</span>&nbsp;";
		print "<input type=\"radio\" name=\"public\" value=\"1\"><p>";

		print "</td></tr>" ;
		print "<tr><td colspan=\"4\">&nbsp;</td></tr>";
		
		print "</table>";
	
		print "<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\"
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";
	
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[save]\" name=\"savebutton\" class=\"savebutton\">";
		print "</span></form>";
	
	break;
	
	case edit_message_page :
	
		$query = "SELECT pagename, welcome, public, icon FROM $table_message_cat WHERE id = '".$cat_id."'";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$pagename = mysql_result($result, 0, 0);
		$message_welcome_text = mysql_result($result, 0, 1);
		$public = mysql_result($result, 0, 2);
		$icon = mysql_result($result, 0, 3);
		
		print "<span class=\"text\">" . $sas_lang['message_module_edit_message_page'] . "</center><p></span>";
		print "\n<form METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_message_page&cat_id=$cat_id\" 
			   onsubmit=\"return checkinput(this);\">";
		print "<table cellspacing=\"0\" cellpadding=\"0\">";
	
		print "<tr><td><span class=\"text\">" . $sas_lang['message_module_pagename'] . ":</span></td></tr>
				<tr><td><input type=\"text\" size=50 class=\"textfield\" name=\"message_page_name\" value=\"$pagename\"></td></tr>";
		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		print "<tr><td><span class=\"text\">" . $sas_lang['message_module_header1'] . ": &nbsp;</span></td></tr>
				<tr><td><textarea cols=\"70\" rows=\"4\" name=\"message_welcome_text\">$message_welcome_text</textarea></td></tr>";
		print "<tr><td>&nbsp;</td></tr>";
		print "<tr><td><span class=\"text\">" . $sas_lang['message_module_icon'] . " &nbsp;</span></td></tr>
				<tr><td><input type=\"text\" size=50 class=\"textfield\" name=\"link_icon\" value=\"$icon\"></td></tr>";
				
		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		
		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		print "<tr><td><span class=\"text\">".$sas_lang['message_module_is_public'].":&nbsp;";
		print "<span class=\"text\">".$sas_lang['yes']."</span>&nbsp;";
		
		if ($public == "0")
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\">&nbsp;";
			print "<span class=\"text\">&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
			print "<input type=\"radio\" name=\"public\" value=\"0\" checked>";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\" checked>&nbsp;";
			print "<span class=\"text\">&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>&nbsp;";
			print "<input type=\"radio\" name=\"public\" value=\"0\">";
		}

		print "</td></tr>" ;
		print "<tr><td colspan=\"4\">&nbsp;</td></tr>";
		
		print "</table>";
	
		print "<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\"
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";
	
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[save]\" name=\"savebutton\" class=\"savebutton\">";
		print "</span></form>";
	
	break;
	
	case config:

		$message_add_text = $sas_config['message_add_text'];

	
		print "<span class=\"heading\">$modulename " . $sas_lang['configuration'] . "&nbsp;" . $sas_lang['message_module_module'] . "<br><br></span>";
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_config\">";
	
		print "<b>" . $sas_lang['message_module_header2'] . "</b><br><textarea cols=\"70\" rows=\"3\" name=\"message_add_text\">$message_add_text</textarea><br><br><br>\n";
		
		print "\n<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['cancel'] . "\" name=\"backbutton\" 
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"cancelbutton\">";
		print "\n&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['save'] . "\" name=\"savebutton\" class=\"savebutton\">";
		print "</span></form>";
	break;

	case edit_message:

		print "<span class=\"heading\">" . $sas_lang['message_module_change'] . "</span><p>";
		$query = "SELECT id, message, date_format(date, '$sas_config[dateformat]') AS Readable_Date, name, days, public, intro_message FROM $table_message WHERE id = '".$message_id."'";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$message_list = mysql_fetch_array($result);
		
		print "<link rel=\"stylesheet\" type=\"text/css\" href=\"interface/calpopup.css\">
				<script src=\"interface/calpopup.js\" type=\"text/javascript\"></script>" ;

		$date_format = str_replace('%d', 'dd', $sas_config['dateformat']) ;
		$date_format = str_replace('%Y', 'yyyy', $date_format) ;
		$date_format = str_replace('%m', 'mm', $date_format) ;
		
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_message&suboption=$suboption&message_id=$message_id&cat_id=$cat_id\">
				<table>";
		print "  <tr><td valign=\"top\"><span class=\"text\"><b>" . $sas_lang['message_module_intro_message'] . " :</b></span></td>
				 <td><textarea cols=\"50\" rows=\"2\" name=\"intro_message\">$message_list[6]</textarea></td></tr>
				 <tr><td colspan=\"2\">&nbsp;</td></tr>
		
				 <tr><td><span class=\"text\"><b>" . $sas_lang['message_module_days'] . " :</b></span></td>
				 <td><input type=\"text\" name=\"days\" size=\"5\" value=\"$message_list[4]\" class=\"textfield\">&nbsp;";
								 
		print "<span class=\"text\"><b>" . $sas_lang['message_module_pagename'] . ": </b></span>&nbsp;
				<select size=\"1\" class=\"text\" name=\"page_id\">";
	
		$query2 = "SELECT id, pagename FROM $table_message_cat ORDER BY pagename";
		$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
		 
			while ($page_list = mysql_fetch_array($result2))
			{
				if ($page_list[0] == $cat_id)
				{
					print "<option selected value=\"$page_list[0]\">$page_list[1]</option>\n";
				}
				else
				{
					print "<option value=\"$page_list[0]\">$page_list[1]</option>\n";
				}
			}
			
		print "</select></td></tr>
				<tr><td colspan=\"2\">&nbsp;</td></tr>
				<tr><td><span class=\"text\"><b>&nbsp;" . $sas_lang['message_module_owner'] . " :</b></span></td>
				 <td><input type=\"text\" name=\"name\" size=\"40\" value=\"$message_list[3]\" class=\"textfield\">&nbsp;
				 <span class=\"text\"><b>" . $sas_lang['message_module_date'] . " :</b></span>&nbsp;
				 <input type=\"text\" name=\"date\" id=\"date\" size=\"11\" value=\"$message_list[2]\" class=\"textfield\"
				 onblur=\"dp_dateFormat='dd-mm-yyyy';magicDate(this)\" onfocus=\"if (this.className != 'error') this.select()\"> 
				 <a href=\"javascript:void(0);\" onclick=\"g_Calendar.show(event,'date', '$date_format')\" title=\"\">
				 <img src=\"interface/calendar.gif\" border=\"0\" alt=\"\"></a>
				 </td></tr>
				 <tr><td colspan=\"2\">&nbsp;</td></tr>";

		include ("editors/fckeditor/fckeditor.php");
		print "<tr><td colspan=\"2\">";
		$fck_lang = strtolower($sas_config['language']);
		$oFCKeditor = new FCKeditor('message');
		$oFCKeditor->BasePath = 'editors/fckeditor/';
		$oFCKeditor->BaseHref = '$site_url';
		$oFCKeditor->Config['EditorAreaCSS'] = $theme_css;
		$oFCKeditor->Config['AutoDetectLanguage'] = false ;
		$oFCKeditor->Config['DefaultLanguage'] = $fck_lang;
		$oFCKeditor->Width = '100%';
		$oFCKeditor->Height = 250;
		$oFCKeditor->ToolbarSet = 'Basic' ;
		$oFCKeditor->Value = $message_list[1];
		$oFCKeditor->Create();

		print "</td></tr>
				</table>";
	
		print "\n<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\"
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[save]\" name=\"savebutton\" class=\"savebutton\">";
		print "</form>";
		
	break;

	case add_message:

		print "<span class=\"heading\"><b>&nbsp;$sas_lang[message_module_add]</b></center></span><p>";
		print "<FORM METHOD=\"POST\" NAMEe=\"message\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_message&suboption=$suboption&message_id=0&cat_id=$cat_id\"
				onsubmit=\"return checkinput(this);\"><table>\n";
		print "  <tr><td valign=\"top\"><span class=\"text\"><b>" . $sas_lang['message_module_intro_message'] . " :</b></span></td>
				 <td><textarea cols=\"50\" rows=\"2\" name=\"intro_message\"></textarea></td></tr>
				 <tr><td colspan=\"2\">&nbsp;</td></tr>
				 <tr><td><span class=\"text\"><b>" . $sas_lang['message_module_days'] . " :</b></span>&nbsp;
				 <input type=\"text\" name=\"days\" size=\"5\" class=\"textfield\"></td>";
								 
		print "<td align=\"right\"><span class=\"text\"><b>" . $sas_lang['message_module_pagename'] . ": </b></span>&nbsp;
				<select size=\"1\" class=\"text\" name=\"page_id\">";
	
		$query2 = "SELECT id, pagename FROM $table_message_cat ORDER BY pagename";
		$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
		 
			while ($page_list = mysql_fetch_array($result2))
			{
				
				print "<option value=\"$page_list[0]\">$page_list[1]</option>\n";
			}
			
		print "</select></td></tr>
				<tr><td colspan=\"2\">&nbsp;</td></tr>
				 <tr><td colspan=\"2\" align=\"center\"><table width=\"640\" class=\"ToolBar\" cellpadding=\"0\" cellspacing=\"0\">
				 <tr><td class=\"ToolBar\" style=\"background:ButtonFace\" colspan=\"2\" height=\"35\"><span class=\"text\"><b>&nbsp;" . $sas_lang['message_module_owner'] . " :</b></span>&nbsp;
				 <input type=\"text\" name=\"name\" size=\"40\" class=\"textfield\">
				 </td></tr>";

		include ("editors/fckeditor/fckeditor.php");
		print "<tr><td colspan=\"2\">";
		$fck_lang = strtolower($sas_config['language']);
		$oFCKeditor = new FCKeditor('message');
		$oFCKeditor->BasePath = 'editors/fckeditor/';
		$oFCKeditor->BaseHref = '$site_url';
		$oFCKeditor->Config['EditorAreaCSS'] = $theme_css;
		$oFCKeditor->Config['AutoDetectLanguage'] = false ;
		$oFCKeditor->Config['DefaultLanguage'] = $fck_lang;
		$oFCKeditor->Width = '100%';
		$oFCKeditor->Height = 250;
		$oFCKeditor->ToolbarSet = 'Basic' ;
		$oFCKeditor->Value = '';
		$oFCKeditor->Create();

		print "</td><tr></table></td></tr>
				</table>";
		print "<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[goback]\" name=\"backbutton\"
				onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module';\" class=\"backbutton\">";
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;$sas_lang[save]\" name=\"savebutton\" class=\"savebutton\">";
		print "</span></form>";
		
	break;

	case list_messages:
	
		$query = "SELECT pagename FROM $table_message_cat WHERE id = '".$cat_id."'" ;
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$page_name = mysql_result($result, 0, 0);
		
		print "<span class=\"heading\">" .$page_name. ":</span><p>";
		
		$query = "SELECT id, name, message, date_format(date, '%d-%m-%Y'), days AS Readable_Date, intro_message FROM $table_message WHERE message_id = '$cat_id' ORDER BY date DESC";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	
		while ($message_list = mysql_fetch_array($result))
		{
			print "<table width=100% border=\"0\"><span class=\"text\"><tr>";
			$msg = str_replace("%date%", $message_list[3], $sas_lang['message_module_delete']);
			print "<tr bgcolor=\"$bgcolor\">
					 <td width=2%><img border=\"0\" src=\"graphics/delete.gif\" alt=\"$sas_lang[delete]\" title=\"$sas_lang[delete]\" width=\"16\" height=\"16\"
					 onClick=\"if(confirm('" . $msg . "')) parent.location='index.php?option=modulemanager&module=$module&modoption=delete_message&suboption=$suboption&message_id=$message_list[0]&cat_id=$cat_id';\"></td>
					 <td width=2%><img border=\"0\" src=\"graphics/edit.gif\" alt=\"$sas_lang[edit]\"  title=\"$sas_lang[edit]\"width=\"16\" height=\"16\"
					 onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_message&suboption=$suboption&message_id=$message_list[0]&cat_id=$cat_id';\"></td>
					 <td valign=\"top\" width='15%'><font size=\"2\"> <b>" . $sas_lang['message_module_date'] . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
					 <td valign=\"top\"><font size=\"2\">$message_list[3]<br></td>
					 </tr>
					 <tr> <td width=2%></td><td width=2%></td>
					 <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['message_module_owner'] . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
					 <td valign=\"top\"><font size=\"2\">$message_list[1]<br></td>
					 </tr>
					 <tr> <td width=2%></td><td width=2%></td>
					 <td valign=\"top\" width='15%'><font size=2> <b>" . $sas_lang['message_module_message'] . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
					 <td valign=\"top\"><font size=\"2\">$message_list[5]<br>$message_list[2]<br></td>
					 </tr>
					 <tr><td width=2%></td><td width=\"2%\"></td>
					 <td valign=\"top\" width='15%' valign=top><font size=2> <b>" . $sas_lang['message_module_days'] . " </b></font></td>
					 <td valign=\"top\" width='1%'>: </td>
					 <td valign=\"top\"><font size=\"2\">$message_list[4]</font></td>
					 </tr>";
	
			print "</table><hr> ";
		}

	print "<p><img border=\"0\" src=\"graphics/document.gif\">
       <span class=\"link\"><a href=\"index.php?option=modulemanager&module=$module&modoption=add_message\">$sas_lang[message_module_add]</a></span>";
	print "\n<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" onClick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&modoption=list_message_pages';\" class=\"backbutton\">";

	break;

} //end switch
	
include ("interface/pageend.inc.php");
include ("interface/footer.inc.php");
?>
